/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 1/1/2003
 * Description : implementation of class d_c_r
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef DCR_H
#define DCR_H

#include<qfile.h>
#include<qtextstream.h>
#include<qstring.h>
#include<stdlib.h>
#include<QVector>
#include<time.h>
// domanda 5 risposte

class d_c_r
{
    QFile fd;
    QString giusto;
    QTextStream *t;
    QVector<QString> list_f,list_s;
    QVector<int> check;
    int error;
public:
    d_c_r(QString path);
    ~d_c_r();
    void frase(QString *risposte,QString &frase);
    QString esatto();
    int errore();
};

#endif //DCR_H
