/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 1/1/2003
 * Description : implementation of class anafrase
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef ANAFRASE_H
#define ANAFRASE_H

#include <QtGui/QDialog>

#include "ui_anafrase.h"

class QString; 
class QWidget; 
class s_anafrase;

class anafrase : public QDialog, public Ui_anafrase
{ 
    Q_OBJECT

public:
    anafrase( QWidget* parent = 0);
    ~anafrase();

    s_anafrase *p;
    QString m_title;
  
    virtual void init(QString path);
public slots:
   
    virtual void azzera();
    virtual void conegazione();
    virtual void esci();
    virtual void falso();
    virtual void info();
    virtual void senzanegazione();
    virtual void probabile();
    virtual void vero();

};

#endif // ANAFRASE_H
