/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 19/1/2010
 * Description : About dialog
 *
 * Copyright 2010      by Angelo Naselli    <anaselli at linux dot it>
 * Copyright 2010      by Nicola De Filippo <nicola@nicoladefilippo.it>
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef ABOUTDLG_H
#define ABOUTDLG_H

#include <QDialog>

#include "ui_aboutdlg.h"



class AboutDialog : public QDialog, public Ui_AboutDialog
{
  Q_OBJECT
public:
  AboutDialog ( QWidget *parent, QString Title, QString info = "", QString Desctription = "", QString Icon = "", QString bug="", QString join="", QString help="" );
  ~AboutDialog();

public slots:
  void infoQT();
};

#endif // ABOUTDLG_H
