/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 16/03/2003
 * Description : Difficolta' ortografiche implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef DIALOGALTRE_H
#define DIALOGALTRE_H

#include <QDialog>

namespace Ui
{
class DialogAltre;
}


class DialogAltre : public QDialog
{
    Q_OBJECT
  public:
    DialogAltre ( QWidget *parent = 0 );
    ~DialogAltre();
    void openAltre ( bool avanti );
  private:
    Ui::DialogAltre *ui;
    bool _automatico;
    // DialogPlay play;
  public slots:
    void chi_ci();
    void che_ce();
    void ca_cia();
    void co_cio();
    void cu_ciu();
    void chi_ghi();
    void che_ghe();
    void c_q();
    void q_cq();
    void gn();
    void gn_ni();
    void l_gl();
    void sc_s();
    void sce_scie();
    void ce_cie();
    void ge_gie();

};

#endif // DIALOGALTRE_H
