/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 13-8-2002
 * Description : Lessico implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef FORM8_H
#define FORM8_H

#include <QtGui/QDialog>

namespace Ui
{
    class Form8;
}

struct privateForm8;
class QLineEdit;
class QDropEvent;
class QLabel;

class Form8 : public QDialog
{
    Q_OBJECT

public:
    Form8(QWidget *parent = 0);
    ~Form8();

    void init();

private:
    Ui::Form8 *ui;
    privateForm8 *d;

protected Q_SLOTS:
    void azzera(); 
    void esci(); 
    void avanti(); 
    void action_drop( QLabel *a, QLabel *b );

};

#endif // FORM8_H

