/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 13-8-2002
 * Description : Lessico implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#include"terna.h"

terna::terna(QString path)
{
    QString s;
   fd.setFileName(path);

    if ( fd.open(QIODevice::ReadOnly) )
    {
        t= new QTextStream( &fd );
        while ( !t->atEnd() )
        {
            s = t->readLine();

            list_p.push_back(s.section(',',0,0));
            list_s.push_back(s.section(',',1,1));
            list_t.push_back(s.section(',',2,2));
        }
        error=0;
        for (int i=0;i < (int) list_p.size();check.push_back(0),i++);
    }
    else
        error=-1;

    srand(time(0));
}

terna::~terna()
{
    fd.close();
}

// return n_coppie of  solutions and questions

void terna::frase(QString *a)
{
    QString dum;
    int j,k,i;
    bool trovato=false;

    j=(int) (((double)list_p.size())*rand()/(RAND_MAX));

    while (!trovato)
    {
        if (check[j]!=0)
        {
            check[j]=0;
            j=(int) (((double)list_p.size())*rand()/(RAND_MAX));
        }
        else
        {
            trovato=true;
            check[j]=1;
        }
    }

    check[j]=1;
    a[0]=list_p[j];
    a[1] = list_s[j];
    a[2] = list_t[j];
    k=(int) (((double)3)*rand()/(RAND_MAX));
    i=(int) ((double)list_p.size()*rand()/(RAND_MAX));

    while (i==j)
        i=(int) ((double)list_p.size()*rand()/(RAND_MAX));
    switch (k)
    {
    case 0:
        a[3] = list_p[i];
        break;
    case 1:
        a[3] = list_s[i];
        break;
    case 2:
        a[3] = list_t[i];
        break;
    default:
        break;
    }
    wrong=a[3];
    j=(int) ((double)4*rand()/(RAND_MAX));

    // caos in the vector
    dum=a[0];
    a[0]=a[j];
    a[j]=dum;
}

// if a->b return >= 0

int terna::esatto(QString a)
{
    if (a==wrong)
        return (0);
    return(-1);
}


int terna::errore()
{
    return error;
}

