#include "dialogalarm.h"
#include "ui_dialogalarm.h"


DialogAlarm::DialogAlarm(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogAlarm)
{
    ui->setupUi(this);

    //setWindowTitle("Messaggio");
}


void DialogAlarm::setText(QString txt)
{
    ui->textEdit->clear();
    ui->textEdit->append(txt);
}

void DialogAlarm::open(QString txt)
{
        grabKeyboard();
        ui->textEdit->clear();
        ui->textEdit->append(txt);
        QDialog::exec();



}

void DialogAlarm::keyReleaseEvent( QKeyEvent *k )
{
        if(!k->isAutoRepeat())
                switch ( k->key() )
                {
                        //case Qt::Key_Return:
                        case Qt::Key_Space:
                                reject();
                                break;
                        default:
                                break;
                }
}


void DialogAlarm::keyPressEvent( QKeyEvent *k )
{
        if(!k->isAutoRepeat())
                switch ( k->key() )
                {
                        case Qt::Key_Return:
                                reject();
                                break;
                        case Qt::Key_Space:
                                //reject();
                                break;
                        default:
                                break;
                }
}

void DialogAlarm::reject()
{
        releaseKeyboard();
        QDialog::reject();
}



DialogAlarm::~DialogAlarm()
{
    delete ui;
}

void DialogAlarm::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
