#ifndef DIALOGALARM_H
#define DIALOGALARM_H

#include <QDialog>
#include <QKeyEvent>

namespace Ui {
    class DialogAlarm;
}

class DialogAlarm : public QDialog {
    Q_OBJECT
    protected:
        void keyPressEvent( QKeyEvent * );
        void keyReleaseEvent( QKeyEvent * );
        void changeEvent(QEvent *e);
    public:
        DialogAlarm(QWidget *parent = 0);
        void setText(QString txt);

        void open(QString txt);
        ~DialogAlarm();
    public slots:
        void reject();



private:
    Ui::DialogAlarm *ui;
};

#endif // DIALOGALARM_H
