#include "exerciseGui.h"
#include <QApplication>
#include <QDir>
#include <QStringList>
#include <QTranslator>
#include <QLocale>
#include <QLibraryInfo>
#include <QDebug>

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	
	
	#if defined(Q_OS_WIN)
	QStringList paths;
	QDir path;
	paths <<  path.toNativeSeparators("c:/qt/4.2.3/bin");
	app.setLibraryPaths(paths);
	#endif
	

  QTranslator myappTranslator;
  if ( QLocale::system().name() != "it_IT" )
  {
    myappTranslator.load ( "qexpik_en.qm" );

    app.installTranslator ( &myappTranslator );
  }

	ExerciseGui *window = new ExerciseGui;
        window->show();
	return app.exec();
}
