/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 20-8-2002
 * Description : Scegli Aggettivo implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef PAROLA_FRASE_H
#define PAROLA_FRASE_H

#include<qfile.h>
#include<qtextstream.h>
#include<qstring.h>
#include<stdlib.h>
#include<QVector>
#include<time.h>

// accoppia parola ad una frase

class parolaFrase
{
    QFile fd;
    QTextStream *t;
    QVector<QString> list_f, list_s;
    QVector<int> check;
    int error, n_coppie;
  public:
    parolaFrase ( QString path, int n );
    ~parolaFrase();
    void frase ( QString *a, QString *b );
    int esatto ( QString a, QString b );
    int errorValue();
};
#endif // PAROLA_FRASE_H
