/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 30/10/2002
 * Description : Anagrammi implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef ANAGRAMMI_H
#define ANAGRAMMI_H

#include<qfile.h>
#include<qtextstream.h>
#include<qstring.h>
#include<stdlib.h>
#include<qvector.h>
#include<time.h>
// anagrammi

class anagrammi
{  
  QFile fd;
  QTextStream *t;
  QVector<QString> list_anagrammi;
  QVector<int> check;
  int error,livello,n_anagramma,completo;
  
  public:
    static QString m_data_path;

    anagrammi(QString path);
    ~anagrammi();
    void setLevel(int l);
    void anagramma(QString a[4]);
    int verify_token(QString pezzo, int pos);
    int esatto();
    int errore();
    int level();
};

#endif //ANAGRAMMI_H
