/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 16/03/2003
 * Description : Difficolta' ortografiche implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef DIALOGSIMILI_H
#define DIALOGSIMILI_H

#include <QDialog>



namespace Ui
{
    class DialogSimili;
}


class DialogSimili : public QDialog
{
        Q_OBJECT
    public:
        DialogSimili(QWidget *parent = 0);
        ~DialogSimili();
        void openSimili(bool automatico);
    private:
        Ui::DialogSimili *ui;

        bool _automatico;
       // DialogPlay play;
    public slots:

        void b_p();
        void d_t();
        void f_v();
        void l_r();
        void m_n();
        void s_z();
        void g_q();
        void g_cdolce();
        void g_cduro();
        void ritorna();
};
#endif // DIALOGSIMILI_H
