#include "ui_scansionedialog.h"
#include<QDialog>
#include<QMainWindow>
#include <QColorDialog>

class dialogScansione : public QDialog, private Ui::scansioneDialog
    {
        Q_OBJECT

    public:
        dialogScansione(QWidget *parent = 0);
        void scansionInfo(QColor &color,bool &on, int &type, int &time, int &mode);
        int type();
    private:
        QColor _scansionColor;
        bool _scansionOn;
        int _scansionType;
        int _scansionTime;
        int _scansionMode;
        QColor scansionColor;
        bool scansionOn;
        int scansionType;
        int scansionTime;
        int scansionMode;
    public slots:
        virtual void enable();
        virtual void disable();
        virtual void setAuto();
        virtual void setManual();
        virtual void setModeColor();
        virtual void setModeRect();
        virtual void setTime();
        virtual void setColor();
        virtual void conferma();
        virtual void annulla();
    protected:
        
    };
