
#ifndef Z_H
#define Z_H

#include <string>


using namespace std;

class Z
{
	private:
		double numerator;
		double denominator;
		string maxString;
		double oldValue;
		void setMaxString(double num, double den);
	public:
		Z(double n, double d);
		Z() {numerator = 0; denominator = 1;}
		void set(double n, double d) {numerator = n; denominator = d;}
		bool operator == (Z a );
		bool operator <= (Z a );
		bool operator >= (Z a );
		bool operator < (Z a );
		bool operator < (double a );
		bool operator > (Z a );
		bool operator > (double a );
		bool operator <= (double a);
		bool operator >= (double a);
		Z& operator = (Z a);
		Z& operator += (Z a);
		Z& operator -= (Z a);
		Z& operator *= (Z a);
		Z& operator /= (Z a);
		
		double mcd(double m, double n);
		double mcm(double m, double n);
		string toString();
		void semplific();
		bool isSimple();
		
		string getMaxString() {return maxString; }
};


Z operator + (Z a, Z b);
Z operator * (Z a, Z b);
Z operator / (Z a, Z b);
Z operator - (Z a, Z b);
Z operator - (double a, Z b);

#endif
