/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 4/6/2003
 * Description : Uso H implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef DIALOGMAIN_H
#define DIALOGMAIN_H

#include <QDialog>

#include "dialogplay.h"

namespace Ui
{
    class DialogMain;
}


class DialogMain : public QDialog
{
        Q_OBJECT
    public:
        DialogMain(QWidget *parent = 0);
        ~DialogMain();
    private:
        Ui::DialogMain *ui;
        DialogPlay play;
    public slots:
        void a_ha();
        void o_ho();
        void ai_hai();
        void anno_hanno();
        void info();
};

#endif // DIALOGMAIN_H
